; AutoIt Library for WinRun.au3 [CLD rev.12/23/17]

AutoItSetOption("WinTitleMatchMode", -2)

Local $sAutoExe = @ScriptDir & "\AI3.EXE"
Local $sIniFile = @ScriptDir & "\WinRun.ini"
Local $sLibFile = $sAutoExe & " " & @ScriptDir & "\WinRun-L.au3"
Local $sAltBrowser = IniRead($sIniFile, "WinRun", "AltBrowser", "")
Local $sReplaceWithAutoExe = "[AutoExe]"
Local $sXyDir = @ScriptDir
Local $sXyTitle = "(xy4|null|xy3|xyw)"

Global $sCurWin = WinGetTitle("[active]")

; ----------------------------------
; Main
Sleep(50)

If $CmdLine[0] > 0 Then
	If $CmdLine[0] = 1 Then
		Call($CmdLine[1])
	Else
		Local $sFuncName = ""
		Local $sFuncArgs = ""
		For $Arg = 1 to $CmdLine[0]
			If $Arg = 1 Then
				$sFuncName = $CmdLine[1]
			Else
				$sFuncArgs = $sFuncArgs & $CmdLine[$Arg] & ","
			EndIf
		Next

7-Zip (A) 9.20  Copyright (c) 1999-2010 Igor Pavlov  2010-11-18

Scanning

Updating archive X:\WK18\U2EXTRAS.ZIP

Compressing  WINRUN-L.AU3

Everything is Ok
		Call($sFuncName, $sFuncArgs)
	EndIf
EndIf
Exit 0
; End Main
; -------------------------------

Func AltTab()
	Send("!{tab}")
	Sleep(100)
	ControlSend("", "", "", "", 0)
	Return
EndFunc   ;==>AltTab

Func CloseAndXy()
	KillWin()
	WinActivate("[REGEXPTITLE:(?i)(.*"& $sXyTitle & ".*|null)]")
	Return
EndFunc   ;==>CloseAndXy

Func Copy()
	ClipPut("")
	Send("^c")
	Sleep(100)
	ControlSend("", "", "", "", 0)
	Return
EndFunc   ;==>Copy

Func CopyAll()
	ClipPut("")
	Send("^a^c")
	Sleep(100)
	ControlSend("", "", "", "", 0)
	Return
EndFunc   ;==>CopyAll

Func CtrlW()
	Send("^w")
EndFunc   ;==>CtrlW

; Generate random strong password
Func GenPW()
	If FileExists($sXyDir & "\GenPass.exe") Then _
		ShellExecuteWait($sXyDir & "\GenPass.exe", "1")
EndFunc   ;==>GenPW

; Close current window
Func KillWin()
	WinKill("[active]")
	Return
EndFunc   ;==>Kill

Func Paste()
	Local $key = "^v"
	Local $win = WinGetTitle("[active]")
	Send($key)
	Sleep(100)
	ControlSend("", "", "", "", 0)
	Return
EndFunc   ;==>Paste

; Maximize current window
Func MaxCur()
	WinSetState($sCurWin, "", @SW_MAXIMIZE)
	Return
EndFunc   ;==>MaxCur

Func MinAndXy()
	MinCur()
	WinActivate("[REGEXPTITLE:(?i)(.*" & $sXyTitle & ".*|null)]")
	Return
EndFunc   ;==>MinAndXy

; Minimize current window
Func MinCur()
	Local $sCurWin = WinGetTitle("[active]")
	WinSetState($sCurWin, "", @SW_MINIMIZE)
	Return
EndFunc   ;==>MinCur

; Minimize other windows (including no-frame vDos)
Func MinOther()
	Local $sCurWin = WinGetTitle("[active]")
	If WinExists("vdos") Then WinSetState("vdos", "", @SW_MINIMIZE)
	WinMinimizeAll()
	WinActivate($sCurWin)
	WinSetState($sCurWin, "", @SW_MAXIMIZE)
	Return
EndFunc   ;==>MinOther

; Minimize all windows (including no-frame vDos)
Func MinAll()
	If WinExists("vdos") Then WinSetState("vdos", "", @SW_MINIMIZE)
	WinMinimizeAll()
	Return
EndFunc   ;==>MinAll

; Restore active window
Func Restore()
	WinSetState($sCurWin, "", @SW_RESTORE)
	Return
EndFunc   ;==>Restore

; Sleep for $secs seconds
Func SleepSecs($iSecs)
	Sleep($iSecs * 1000)
	Return
EndFunc   ;==>SleepSecs

Func Logoff()
	Shutdown(0)
	Return
EndFunc   ;==>Logoff

Func ForceLogoff()
	Shutdown( BitOr(0, 4) )
	Return
EndFunc   ;==>Logoff

Func Shutdn()
	Shutdown(1)
	Return
EndFunc   ;==>Shutdn

Func ForceShutdown()
	Shutdown( BitOr(1, 4) )
	Return
EndFunc   ;==>ForceShutdown

Func Reboot()
	Shutdown(2)
	Return
EndFunc   ;==>Reboot

Func ForceReboot()
	Shutdown( BitOr(2, 4) )
	Return
EndFunc   ;==>ForceReboot

Func Powerdown()
	Shutdown(8)
	Return
EndFunc   ;==>Powerdown

Func ForcePowerdown()
	Shutdown( BitOr(8, 4) )
	Return
EndFunc   ;==>ForcePowerdown

Func Standby()
	Shutdown(32)
	Return
EndFunc   ;==>Standby

Func Hibernate()
	Shutdown(64)
	Return
EndFunc   ;==>Hibernate

