;PR;; Default color settings for XyWrite 4
;
; General plan: 
;  Normal text is gray.
;  Italic text is green.
;  Underline text is blue.
;
;  Bold text is a brighter version (usually) of its counterpart.
;
;  Normal background is blue.
;  Superscript background is magenta.
;  Subscript background is orange or brown.
;  Strikethru (Redlining) background is red.
;  Insert (Redlining) background is green.
;  Reverse (Forms) background is gray.
;
;  Select text background is black, or it reverses to another background.
;
;  The DD variable for selecting text is set to 16.  
;  Setting to a factor of 2 gives the most flexibility. 
;
; Establish color settings (see SETTINGS.COL for meaning of L0-L4 values)
; L0 - L4 establish header/menu colors
; Sample Function calls:  }
; Sample LaBel:  LBtest
DF L0=112,7,1,7
DF L1=112,7,112,15
DF L2=112,7,7,15,15
DF L3=7,112,7,15
DF L4=15,112,1,7,15
;
; MW=1 displays window border (MW=2 for staggered windows, MW=0 for no border)
df mw=0
;
; Window border colors (active,1,2,3,4,5,6,7,8,9,labels,triangles,tabs,graphic view mode)
DF BX=7,7,7,7,7,7,7,7,7,7,112,7,7,240
;
; CR x,y,z sets cursor values
; x=standard
; y=edit cursor with dialog box (as spell menu)
; z=mouse cursor
;DF CR=47,112,223,0
DF CR=0,0
;
; DD is number used to compute display of defined text
; Defined text does not display in this mode number
DF DD=16
;
; PK is color for visible page breaks
DF PK=7
;
; Display modes
; Text modes
MD NM=7
MD BO=15
MD UL=3
MD BU=11
MD IT=10
MD BI=14
MD RV=44
MD BR=47
MD SU=160
MD SD=163
;
; Delete modes (Redlining)
MD DN=112
MD DB=112
MD DU=112
MD DI=112
MD DO=112
MD DL=112
MD DS=112
MD DD=112
MD DR=112
;
; Insert modes (Redlining)
MD IN=15
MD IB=15
MD IU=15
MD II=15
MD IO=15
MD IR=15
MD IL=15
MD IV=15
MD IS=15
MD ID=15
;
; Flashing modes (add 128 to mode number)
MD FL=135
MD FU=129
MD FR=240
MD SO=13
;
; Footnotes
MD FN=231
;
